summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2022-03-13 21:12:48 +0100
committerDavid Seifert <soap@gentoo.org>2022-03-13 21:12:48 +0100
commite0986d976f7481ff9f78781a1337af9fcbd5c49f (patch)
tree1145da6b20a26ad79bb773b670de5dce13231d26 /profiles
parentapp-admin/consul: drop 1.10.8, 1.11.3 (diff)
downloadgentoo-e0986d976f7481ff9f78781a1337af9fcbd5c49f.tar.gz
gentoo-e0986d976f7481ff9f78781a1337af9fcbd5c49f.tar.bz2
gentoo-e0986d976f7481ff9f78781a1337af9fcbd5c49f.zip
profiles: clean up stale entries
Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'profiles')
-rw-r--r--profiles/arch/alpha/package.use.mask4
-rw-r--r--profiles/arch/alpha/use.mask4
-rw-r--r--profiles/arch/arm/armv4/package.use.mask6
-rw-r--r--profiles/arch/arm/armv4t/package.use.mask6
-rw-r--r--profiles/arch/arm/armv5te/package.use.mask6
-rw-r--r--profiles/arch/arm/use.mask3
-rw-r--r--profiles/arch/arm64/use.mask1
-rw-r--r--profiles/arch/base/use.mask5
-rw-r--r--profiles/arch/hppa/package.use.mask4
-rw-r--r--profiles/arch/ia64/package.use.mask4
-rw-r--r--profiles/arch/ia64/use.mask4
-rw-r--r--profiles/arch/sparc/package.use.mask5
-rw-r--r--profiles/arch/sparc/use.stable.mask6
-rw-r--r--profiles/arch/x86/package.use.mask5
-rw-r--r--profiles/base/use.mask4
-rw-r--r--profiles/releases/17.0/package.mask3
16 files changed, 6 insertions, 64 deletions
diff --git a/profiles/arch/alpha/package.use.mask b/profiles/arch/alpha/package.use.mask
index 48b0a30558f..3d8e666a5da 100644
--- a/profiles/arch/alpha/package.use.mask
+++ b/profiles/arch/alpha/package.use.mask
@@ -19,10 +19,6 @@ media-video/ffmpeg svt-av1
# impl there anyway. Please keep this in sync with use.mask.
dev-lang/python-exec -python_targets_python3_10
-# Vadim Misbakh-Soloviov <mva@gentoo.org> (2021-12-09)
-# ts-cli requires rust to be built, and rust is unavailable here ATM.
-dev-libs/tree-sitter ts-cli
-
# Sam James <sam@gentoo.org> (2021-11-05)
# Avoid keywording unnecessary depenencies for now, bug #804115
dev-python/scipy pythran
diff --git a/profiles/arch/alpha/use.mask b/profiles/arch/alpha/use.mask
index 1b79bcff211..fc2e756c5e4 100644
--- a/profiles/arch/alpha/use.mask
+++ b/profiles/arch/alpha/use.mask
@@ -180,10 +180,6 @@ llvm
# net-misc/connman is not keyworded
connman
-# Anthony G. Basile <blueness@gentoo.org> (2012-04-15)
-# Pulls in net-libs/axtls which is not keyworded for arch
-curl_ssl_axtls
-
# Alexandre Rostovtsev <tetromino@gentoo.org> (2012-12-31)
# media-libs/xine-lib is not keyworded
xine
diff --git a/profiles/arch/arm/armv4/package.use.mask b/profiles/arch/arm/armv4/package.use.mask
index db442dd2649..14dcf332b1b 100644
--- a/profiles/arch/arm/armv4/package.use.mask
+++ b/profiles/arch/arm/armv4/package.use.mask
@@ -1,10 +1,6 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-# Vadim Misbakh-Soloviov <mva@gentoo.org> (2021-12-09)
-# ts-cli requires rust to be built, and rust is unavailable here ATM.
-dev-libs/tree-sitter ts-cli
-
# Matt Turner <mattst88@gentoo.org> (07-25-2021)
# gdm requires gnome-shell requires rustified librsvg.
x11-misc/xscreensaver gdm
diff --git a/profiles/arch/arm/armv4t/package.use.mask b/profiles/arch/arm/armv4t/package.use.mask
index db442dd2649..14dcf332b1b 100644
--- a/profiles/arch/arm/armv4t/package.use.mask
+++ b/profiles/arch/arm/armv4t/package.use.mask
@@ -1,10 +1,6 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-# Vadim Misbakh-Soloviov <mva@gentoo.org> (2021-12-09)
-# ts-cli requires rust to be built, and rust is unavailable here ATM.
-dev-libs/tree-sitter ts-cli
-
# Matt Turner <mattst88@gentoo.org> (07-25-2021)
# gdm requires gnome-shell requires rustified librsvg.
x11-misc/xscreensaver gdm
diff --git a/profiles/arch/arm/armv5te/package.use.mask b/profiles/arch/arm/armv5te/package.use.mask
index db442dd2649..14dcf332b1b 100644
--- a/profiles/arch/arm/armv5te/package.use.mask
+++ b/profiles/arch/arm/armv5te/package.use.mask
@@ -1,10 +1,6 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-# Vadim Misbakh-Soloviov <mva@gentoo.org> (2021-12-09)
-# ts-cli requires rust to be built, and rust is unavailable here ATM.
-dev-libs/tree-sitter ts-cli
-
# Matt Turner <mattst88@gentoo.org> (07-25-2021)
# gdm requires gnome-shell requires rustified librsvg.
x11-misc/xscreensaver gdm
diff --git a/profiles/arch/arm/use.mask b/profiles/arch/arm/use.mask
index a8dd0972f6b..820017b73bb 100644
--- a/profiles/arch/arm/use.mask
+++ b/profiles/arch/arm/use.mask
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Unmask the flag which corresponds to ARCH.
@@ -85,7 +85,6 @@ anthy
# Unmask ARM-only video-cards
-video_cards_exynos
-video_cards_freedreno
--video_cards_imx
-video_cards_lima
-video_cards_omap
-video_cards_panfrost
diff --git a/profiles/arch/arm64/use.mask b/profiles/arch/arm64/use.mask
index b1e7a59e550..f652ff6f526 100644
--- a/profiles/arch/arm64/use.mask
+++ b/profiles/arch/arm64/use.mask
@@ -118,7 +118,6 @@ anthy
-video_cards_exynos
-video_cards_freedreno
-video_cards_lima
--video_cards_imx
-video_cards_nouveau
-video_cards_panfrost
-video_cards_tegra
diff --git a/profiles/arch/base/use.mask b/profiles/arch/base/use.mask
index f48dbf90f5d..f55dfd0cd00 100644
--- a/profiles/arch/base/use.mask
+++ b/profiles/arch/base/use.mask
@@ -142,7 +142,6 @@ video_cards_siliconmotion
# not needed on non-arm systems
video_cards_exynos
video_cards_freedreno
-video_cards_imx
video_cards_lima
video_cards_omap
video_cards_panfrost
@@ -165,10 +164,6 @@ input_devices_wacom
# Only works on x86 or amd64
lcd_devices_luise
-# Alex Legler <a3li@gentoo.org> (2009-12-07)
-# Rubinius is whitelisted on supported arches
-ruby_targets_rbx
-
# Samuli Suominen <ssuominen@gentoo.org> (2011-10-03)
# RealMagic Hollywood+/Creative DXR3 support
# Still using obsolete V4L1 wrt bug 350211
diff --git a/profiles/arch/hppa/package.use.mask b/profiles/arch/hppa/package.use.mask
index 18a3a96b39d..676070429d9 100644
--- a/profiles/arch/hppa/package.use.mask
+++ b/profiles/arch/hppa/package.use.mask
@@ -21,10 +21,6 @@ app-shells/bash mem-scramble
# app-text/ronn-ng not keyworded here, bug #801103
app-accessibility/espeak-ng man
-# Vadim Misbakh-Soloviov <mva@gentoo.org> (2021-12-09)
-# ts-cli requires rust to be built, and rust is unavailable here ATM.
-dev-libs/tree-sitter ts-cli
-
# Sam James <sam@gentoo.org> (2021-11-19)
# Avoid dragging in doc/sphinx deps where we can help it
dev-python/anyio doc
diff --git a/profiles/arch/ia64/package.use.mask b/profiles/arch/ia64/package.use.mask
index 9a979c43824..f0e75e9cd9e 100644
--- a/profiles/arch/ia64/package.use.mask
+++ b/profiles/arch/ia64/package.use.mask
@@ -14,10 +14,6 @@ media-video/ffmpeg amf
# app-text/ronn-ng not keyworded here, bug #801103
app-accessibility/espeak-ng man
-# Vadim Misbakh-Soloviov <mva@gentoo.org> (2021-12-09)
-# ts-cli requires rust to be built, and rust is unavailable here ATM.
-dev-libs/tree-sitter ts-cli
-
# Michał Górny <mgorny@gentoo.org> (2021-11-26)
# These package flags require dev-python/cryptography which -- due
# to the dependency on Rust -- is no longer portable to ia64.
diff --git a/profiles/arch/ia64/use.mask b/profiles/arch/ia64/use.mask
index cb12b3ba544..59d924a74d0 100644
--- a/profiles/arch/ia64/use.mask
+++ b/profiles/arch/ia64/use.mask
@@ -182,10 +182,6 @@ alsa_cards_wavefront
# media-sound/fluidsynth isn't keyworded
fluidsynth
-# Anthony G. Basile <blueness@gentoo.org> (2012-04-15)
-# Pulls in net-libs/axtls which is not keyworded for arch
-curl_ssl_axtls
-
# Alexandre Rostovtsev <tetromino@gentoo.org> (2012-12-31)
# net-misc/connman is not keyworded, bug 348308
connman
diff --git a/profiles/arch/sparc/package.use.mask b/profiles/arch/sparc/package.use.mask
index 4defb78de90..5c3dd765e5b 100644
--- a/profiles/arch/sparc/package.use.mask
+++ b/profiles/arch/sparc/package.use.mask
@@ -10,10 +10,6 @@ net-mail/cyrus-imapd http
# It is unusable, for now, in other arches
media-video/ffmpeg amf
-# Vadim Misbakh-Soloviov <mva@gentoo.org> (2021-12-09)
-# ts-cli requires rust to be built, and rust is unavailable here ATM.
-dev-libs/tree-sitter ts-cli
-
# Daniel Pielmeier <billie@gentoo.org> (2021-11-07)
# gnome-base/librsvg is not keyworded here, bug #807130
app-admin/conky lua-rsvg
@@ -538,7 +534,6 @@ media-video/x264-encoder ffmpegsource
# Alexey Shvetsov <alexxy@gentoo.org> (2011-08-31)
# Mask numa use flag per bug #381313
sys-apps/hwloc numa
-sys-cluster/openmpi numa
# Pacho Ramos <pacho@gentoo.org> (2011-01-27)
# missing keywords on needed plugins
diff --git a/profiles/arch/sparc/use.stable.mask b/profiles/arch/sparc/use.stable.mask
index f0527a3ac8e..46838edd206 100644
--- a/profiles/arch/sparc/use.stable.mask
+++ b/profiles/arch/sparc/use.stable.mask
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# This file requires eapi 5 or later. New entries go on top.
@@ -12,10 +12,6 @@ clang
# media-libs/gstreamer is not stable for sparc
gstreamer
-# Ben Kohler <bkohler@gentoo.org> (2019-06-11)
-# Pulls in net-libs/axtls which is not stable for sparc
-curl_ssl_axtls
-
# Sergei Trofimovich <slyfox@gentoo.org> (2019-02-02)
# No stable app-arch/rpm on sparc.
rpm
diff --git a/profiles/arch/x86/package.use.mask b/profiles/arch/x86/package.use.mask
index 6f7ece45319..4b44ff6a681 100644
--- a/profiles/arch/x86/package.use.mask
+++ b/profiles/arch/x86/package.use.mask
@@ -123,11 +123,6 @@ dev-python/influxdb test
# clisp is keyworded on x86
app-text/texlive-core -xindy
-# Christoph Junghans <junghans@gentoo.org> (2020-05-16)
-# restrict USE=kokkos for x86 as kokkos doesn't support 32-bit archs
-# https://github.com/kokkos/kokkos/issues/2312
-sci-physics/lammps kokkos
-
# Joonas Niilola <juippis@gentoo.org> (2020-05-14)
# sys-apps/apparmor not keyworded on x86.
app-containers/lxc apparmor
diff --git a/profiles/base/use.mask b/profiles/base/use.mask
index 5d4333cb0d6..a12b6f195b5 100644
--- a/profiles/base/use.mask
+++ b/profiles/base/use.mask
@@ -50,10 +50,6 @@ php_targets_php5-6
# app-office/texmacs is package.mask'd. Bug #436400
texmacs
-# Hans de Graaff <graaff@gentoo.org> (2019-04-07)
-# Mask Ruby 2.3 as EOL
-ruby_targets_ruby23
-
# Brian Evans <grknight@gentoo.org> (2019-01-11)
# Mask PHP 7.0 target as EOL
php_targets_php7-0
diff --git a/profiles/releases/17.0/package.mask b/profiles/releases/17.0/package.mask
index f1534f4049c..dd9f6831943 100644
--- a/profiles/releases/17.0/package.mask
+++ b/profiles/releases/17.0/package.mask
@@ -1,8 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Andreas K. Huettel <dilfridge@gentoo.org> (2017-12-01)
# The following packages require GCC 5 or earlier and are therefore
# masked in the 17.0 profiles.
-dev-java/ecj-gcj
dev-java/gcj-jdk